# Uses of Interface
org.apache.lucene.search.SearcherLifetimeManager.Pruner

Packages that use SearcherLifetimeManager.Pruner
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of SearcherLifetimeManager.Pruner in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement SearcherLifetimeManager.Pruner
  Modifier and Type
  Class
  Description
  `static final class`
  `SearcherLifetimeManager.PruneByAge`
  Simple pruner that drops any searcher older by more than the specified seconds, than the newest searcher.
  Methods in org.apache.lucene.search with parameters of type SearcherLifetimeManager.Pruner
  Modifier and Type
  Method
  Description
  `void`
  SearcherLifetimeManager.`prune(SearcherLifetimeManager.Pruner pruner)`
  Calls provided `SearcherLifetimeManager.Pruner` to prune entries.